PooledLifo< T, M, O > Class Template Reference

`#include <flcontainers.h>`

Inheritance diagram for PooledLifo< T, M, O >:

## Public Member Functions

| PooledLifo ()
void | Push (T *c)
T * | Pop ()
T * | New ()
void | Free (T *p)
Public Member Functions inherited from TypedLifo< T >
void | Push (T *c)
T * | Pop ()
Public Member Functions inherited from Lifo
void | Push (LifoCell *cell)
LifoCell * | Pop ()
bool | Avail () const

## Private Attributes

TypedLifo< T > | reuse
size_t | sz
size_t | resz

## Constructor & Destructor Documentation

## PooledLifo()

template<typename T , int M = 2, int O = 1>

PooledLifo< T, M, O >::PooledLifo | ( |  | ) |

inline

## Member Function Documentation

## Free()

template<typename T , int M = 2, int O = 1>

void PooledLifo< T, M, O >::Free | ( | T * | p | ) |

inline

## New()

template<typename T , int M = 2, int O = 1>

T* PooledLifo< T, M, O >::New | ( |  | ) |

inline

## Pop()

template<typename T , int M = 2, int O = 1>

T* PooledLifo< T, M, O >::Pop | ( |  | ) |

inline

## Push()

template<typename T , int M = 2, int O = 1>

void PooledLifo< T, M, O >::Push | ( | T * | c | ) |

inline

## Member Data Documentation

## resz

template<typename T , int M = 2, int O = 1>

size_t PooledLifo< T, M, O >::resz

private

## reuse

template<typename T , int M = 2, int O = 1>

TypedLifo<T> PooledLifo< T, M, O >::reuse

private

## sz

template<typename T , int M = 2, int O = 1>

size_t PooledLifo< T, M, O >::sz

private

The documentation for this class was generated from the following file:

- /build/pd-flext-jyLjBY/pd-flext-0.6.0+git20161101.1.01318a94/source/flcontainers.h